> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/~/changes/15ann7vKLltCCAGHtdQr/data-onboarding/supported-logs/nginx.md).

# Nginx Logs

Connecting Nginx logs to your Panther Console

## Overview&#x20;

Panther supports ingesting Nginx logs via common [Data Transport](/~/changes/15ann7vKLltCCAGHtdQr/data-onboarding/data-transports.md) options: Amazon Web Services (AWS) S3, SQS, and CloudWatch.

## How to onboard Nginx logs to Panther

To connect these logs into Panther:

1. In the left-hand navigation bar of your Panther Console, click **Configure** > **Log Sources**.
2. Click **Create New**.
3. Search for the log type you want to onboard, then click its tile.
4. Select the data transport method you wish to use for this integration, then follow Panther's instructions for configuring the method:
   * [AWS CloudWatch](/~/changes/15ann7vKLltCCAGHtdQr/data-onboarding/data-transports/aws/cloudwatch.md)
   * [AWS SQS](/~/changes/15ann7vKLltCCAGHtdQr/data-onboarding/data-transports/aws/sqs.md)
   * [AWS S3 bucket](/~/changes/15ann7vKLltCCAGHtdQr/data-onboarding/data-transports/aws/s3.md)
5. Configure Nginx to push logs to the Data Transport source.
   * See Nginx's documentation for instructions on pushing logs to your selected Data Transport source.

## Querying logs in Data Explorer

To see an example of querying NGINX logs in Panther's Data Explorer, please see [NGINX and ALB Access logs queries](/~/changes/15ann7vKLltCCAGHtdQr/search/data-explorer/example-queries/nginx-and-alb-access-logs-queries.md).

## Supported log types

{% hint style="info" %}
Required fields in the table are in **bold.**
{% endhint %}

### Nginx.Access

Access Logs for your Nginx server. Panther supports Nginx 'combined' format.&#x20;

Reference: [Nginx Documentation on Log Formatting. ](http://nginx.org/en/docs/http/ngx_http_log_module.html#log_format)

| Column                | Type        | Description                                                                                                   |
| --------------------- | ----------- | ------------------------------------------------------------------------------------------------------------- |
| `remoteAddr`          | `string`    | The IP address of the client (remote host) which made the request to the server.                              |
| `remoteUser`          | `string`    | The userid of the person making the request. Usually empty unless .htaccess has requested authentication.     |
| **`time`**            | `timestamp` | The time that the request was received (UTC).                                                                 |
| `request`             | `string`    | The request line from the client. It includes the HTTP method, the resource requested, and the HTTP protocol. |
| `status`              | `smallint`  | The HTTP status code returned to the client.                                                                  |
| `bodyBytesSent`       | `bigint`    | The size of the object returned to the client, measured in bytes.                                             |
| `httpReferer`         | `string`    | The HTTP referrer if any.                                                                                     |
| `httpUserAgent`       | `string`    | The agent the user used when making the request.                                                              |
| **`p_log_type`**      | `string`    | Panther added field with type of log                                                                          |
| **`p_row_id`**        | `string`    | Panther added field with unique id (within table)                                                             |
| **`p_event_time`**    | `timestamp` | Panther added standardize event time (UTC)                                                                    |
| **`p_parse_time`**    | `timestamp` | Panther added standardize log parse time (UTC)                                                                |
| `p_source_id`         | `string`    | Panther added field with the source id                                                                        |
| `p_source_label`      | `string`    | Panther added field with the source label                                                                     |
| `p_any_ip_addresses`  | `[string]`  | Panther added field with collection of ip addresses associated with the row                                   |
| `p_any_domain_names`  | `[string]`  | Panther added field with collection of domain names associated with the row                                   |
| `p_any_sha1_hashes`   | `[string]`  | Panther added field with collection of SHA1 hashes associated with the row                                    |
| `p_any_md5_hashes`    | `[string]`  | Panther added field with collection of MD5 hashes associated with the row                                     |
| `p_any_sha256_hashes` | `[string]`  | Panther added field with collection of SHA256 hashes of any algorithm associated with the row                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.panther.com/~/changes/15ann7vKLltCCAGHtdQr/data-onboarding/supported-logs/nginx.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
